org.keycloak.social.paypal

## Class PayPalIdentityProviderFactory

- java.lang.Object
- - org.keycloak.broker.provider.AbstractIdentityProviderFactory<PayPalIdentityProvider>
  - - org.keycloak.social.paypal.PayPalIdentityProviderFactory

- All Implemented Interfaces:
    IdentityProviderFactory<PayPalIdentityProvider>, SocialIdentityProviderFactory<PayPalIdentityProvider>, ProviderFactory<PayPalIdentityProvider>

      public class PayPalIdentityProviderFactory
      extends AbstractIdentityProviderFactory<PayPalIdentityProvider>
      implements SocialIdentityProviderFactory<PayPalIdentityProvider>

  Author:
    Petter Lysne

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PROVIDER_ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PayPalIdentityProviderFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PayPalIdentityProvider` | `create(KeycloakSession session, IdentityProviderModel model)` Creates an `IdentityProvider` based on the configuration contained in `model`.
    `PayPalIdentityProviderConfig` | `createConfig()` Creates a provider specific `IdentityProviderModel` instance.
    `String` | `getId()`
    `String` | `getName()` A friendly name for this factory.

    - ### Methods inherited from class org.keycloak.broker.provider.AbstractIdentityProviderFactory

      `close, create, init, parseConfig, postInit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.broker.provider.IdentityProviderFactory

      `parseConfig`

    - ### Methods inherited from interface org.keycloak.provider.ProviderFactory

      `close, create, init, order, postInit`

- - ### Field Detail

    - #### PROVIDER_ID

          public static final String PROVIDER_ID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PayPalIdentityProviderFactory

          public PayPalIdentityProviderFactory()

  - ### Method Detail

    - #### getName

          public String getName()

      Description copied from interface: `IdentityProviderFactory`

      A friendly name for this factory.

      Specified by:
        `getName` in interface `IdentityProviderFactory<PayPalIdentityProvider>`
      Returns:

    - #### create

          public PayPalIdentityProvider create(KeycloakSession session,
                                               IdentityProviderModel model)

      Description copied from interface: `IdentityProviderFactory`

      Creates an `IdentityProvider` based on the configuration contained in `model`.

      Specified by:
        `create` in interface `IdentityProviderFactory<PayPalIdentityProvider>`
        `model` - The configuration to be used to create the identity provider.
      Returns:

    - #### createConfig

          public PayPalIdentityProviderConfig createConfig()

      Description copied from interface: `IdentityProviderFactory`

      Creates a provider specific `IdentityProviderModel` instance.

      Providers may want to implement their own `IdentityProviderModel` type so that validations can be performed when managing the provider configuration

      Specified by:
        `createConfig` in interface `IdentityProviderFactory<PayPalIdentityProvider>`
      Returns:
        the provider specific instance

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `ProviderFactory<PayPalIdentityProvider>`

Copyright © 2021 JBoss by Red Hat. All rights reserved.